# Naming of Characters

Generally speaking, in modern RPGs, every character with any impact on the plot has a distinct name. But if we are going to give all non-player characters sufficient agency to impact on the plot, then we must have a way of naming tens or hundreds of thousands of characters, and distinct names will become problematic (even if we're procedurally generating names, which we shall have to do. So this note is about how characters are named.


The full name of each character will be made up as follows:

[epithet] [clan] [personal-name] the [trade-or-rank] of [location], son/daughter of [parent]

Based on, roughly, historical name patterns like

Archibald (personal-name) the Grim (epithet), Earl (trade-or-rank) of Douglas (location)

Where

1. *epithet* is a prefix based on some notable feature or feat of the character. Most characters won't have an epithet, unless they have some notable feature or they've done something notable. If a character does something notable in the course of the game, they will subsequently gain an epithet; 'notability' may be measured by how many times the event is transmitted through the gossip network.

2. *clan* is special to the Western Clans, although people from the Great Place may possible use the name of their house similarly.

3. *personal-name* is chosen from one of a limited set of limited sets; different cultural groups will have different (possibly overlapping) sets of names, but within each set there will only be a limited subset

4. *trade-or-rank* is just that. "Smith", "Miller", "Ariston", "Captain". Either only master craftsfolk have the trade-or-rank name of their craft, or we distinguish between 'Calon the Smith', who may be a journeyman, and 'Calon the Master Smith', who is a master.

5. *location* is the name of a location; a village, town, city or province. The location which forms part of a character's name is the location where there current home is, not the location where they were born or where their ancestors came from

Full names will almost never be used - only, perhaps, in extremely formal circumstances. The form of a name used will depend on context, and will generally be just sufficient to disambiguate the character in the context.

If the speaker is in Sinhua and referring to someone from Sinhua, they won't refer to them as 'of Sinhua'.

If everyone present is a bargee and the speaker referring to someone who is also a bargee, they won't refer to them as 'the bargee'.

The question asked influences the context: in answer to the question 'who is the best sword smith', the answer will not be 'Calon the Smith' but 'Calon of Sinhua'.

Patronymics/matronymics will not normally be used of adults (although they may be used of apprentices and journeymen.
